{ callPackage, mylibs, lib }:
rec {
  adminer = callPackage ./adminer {};
  awl = callPackage ./awl {};
  davical = callPackage ./davical {};
  diaspora = callPackage ./diaspora { inherit mylibs; };

  dokuwiki = callPackage ./dokuwiki { inherit mylibs; };
  dokuwiki-with-plugins = dokuwiki.withPlugins (builtins.attrValues dokuwiki-plugins);
  dokuwiki-plugins = let
    names = [ "farmer" "todo" ];
  in
    lib.attrsets.genAttrs names
      (name: callPackage (./dokuwiki/plugins + "/${name}.nix") {});

  infcloud = callPackage ./infcloud {};

  mantisbt_2 = callPackage ./mantisbt_2 {};
  mantisbt_2-with-plugins = mantisbt_2.withPlugins (builtins.attrValues mantisbt_2-plugins);
  mantisbt_2-plugins = let
    names = [ "slack" "source-integration" ];
  in
    lib.attrsets.genAttrs names
      (name: callPackage (./mantisbt_2/plugins + "/${name}") {});

  mastodon = callPackage ./mastodon { inherit mylibs; };

  mediagoblin = callPackage ./mediagoblin { inherit mylibs; };
  mediagoblin-with-plugins = mediagoblin.withPlugins (builtins.attrValues mediagoblin-plugins);
  mediagoblin-plugins = let
    names = [ "basicsearch" ];
  in
    lib.attrsets.genAttrs names
      (name: callPackage (./mediagoblin/plugins + "/${name}") {});

  nextcloud = callPackage ./nextcloud {};
  nextcloud-with-apps = nextcloud.withPlugins (builtins.attrValues nextcloud-apps);
  nextcloud-apps = let
      names = [
        "audioplayer" "bookmarks" "calendar" "contacts" "deck"
        "files_markdown" "gpxedit" "gpxpod" "keeweb" "music"
        "notes" "ocsms" "passman" "spreed" "tasks"
        "flowupload" "carnet"
        # FIXME: fix passman for NC 16
      ];
    in
    lib.attrsets.genAttrs names
      (name: callPackage (./nextcloud/apps + "/${name}.nix") { buildApp = nextcloud.buildApp; });

  phpldapadmin = callPackage ./phpldapadmin {};
  rompr = callPackage ./rompr { inherit mylibs; };

  yourls = callPackage ./yourls { inherit mylibs; };
  yourls-with-plugins = yourls.withPlugins (builtins.attrValues yourls-plugins);
  yourls-plugins = let
    names = [ "ldap" ];
  in
    lib.attrsets.genAttrs names
      (name: callPackage (./yourls/plugins + "/${name}") { inherit mylibs; });
}
